function [mse, rmse, r2, nmse, ndei] = evaluate(pred, truth)
%EVALUATE Summary of this function goes here
%   Detailed explanation goes here
    
    % MSE / RMSE
    mse  = mean((truth - pred).^2);
    rmse = sqrt(mse);

    % R^2 - NMSE - NDEI
    ss_res = sum((truth - pred).^2);
    ss_tot = sum((truth - mean(truth)).^2);
    
    nmse   = ss_res / ss_tot;
    ndei   = sqrt(nmse);
    r2     = 1 - nmse;

end